
QGIS Application - Bug report #19579

Crash on vector edit (that has the 4326 CRS) is reprojected in CRS 3857

2018-08-09 06:39 PM - Jacob Farneth

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Digitising

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 27406

Description

Replicable and willing to video, screenshot.

Steps performed:

    1. select feature by area

    2. Toggle editing

    3. vertex tool

    4. perform any modification of vertices

Fairly new to QGIS.  Please pardon if submitted incorrectly.

Not sure about Regression.

Report below:

User Feedback

select feature by area

Toggle editing

vertex tool

perform any modification of vertices

Report Details

Crash ID: a5d0777d61855b2f7aa171e874d6377373769767

Stack Trace

SpatialIndex::MVRTree::Data::storeToByteArray :

SpatialIndex::RTree::Data::getShape :

SpatialIndex::MVRTree::Data::storeToByteArray :

SpatialIndex::RTree::createNewRTree :

SpatialIndex::RTree::createNewRTree :

QgsPointLocator::onFeatureDeleted :

QgsPointLocator::onGeometryChanged :

QMetaObject::activate :

QgsVectorLayer::geometryChanged :

QMetaObject::activate :

QgsVectorLayerEditBuffer::geometryChanged :

QUndoStack::push :

QgsVectorLayerEditBuffer::changeGeometry :

QgsVectorLayer::changeGeometry :

QgsVertexTool::applyEditsToLayers :

QgsVertexTool::moveVertex :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :
QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-08-12 01:33 PM - Giovanni Manghi

- Priority changed from Normal to High

Yes please, attach a cast/project/data to allow us replicate the issue.

#2 - 2018-08-12 01:49 PM - Jacob Farneth

- File qgis_vertex_error.zip added

Sure thing.  Here are the screenshots of me opening to error.

#3 - 2018-08-12 09:36 PM - Giovanni Manghi

- Status changed from Open to Feedback
Can't confirm here, can you attach the project with data? have you tried on a clean profile (no 3rd party plugins)?

#4 - 2018-08-15 10:17 PM - Jacob Farneth

Hi Giovanni,

Thanks for looking at this.  Please pardon the delay.

I unchecked all plugins, then tried.  Still crashed.

I then tried to uninstall every plugin I've added (which was only one).  Still crashed.

I'll email you the file for some additional privacy!  Thanks for looking into it.

#5 - 2018-08-16 11:04 AM - Giovanni Manghi

- Category changed from Unknown to Digitising

I'll email you the file for some additional privacy!  Thanks for looking into it.

thanks, but the project is not enough, is needed also the data.

#6 - 2018-08-20 06:13 PM - Giovanni Manghi

Jacob Farneth wrote:

Hi Giovanni,

Thanks for looking at this.  Please pardon the delay.

I unchecked all plugins, then tried.  Still crashed.

I then tried to uninstall every plugin I've added (which was only one).  Still crashed.

I'll email you the file for some additional privacy!  Thanks for looking into it.

I got the data (not sure why isn't possible to attach it here, seems the world borders shapefile that is freely available) and cannot confirm the issue here on

3.2.1. Please try again with a new/clean profile.

#7 - 2018-08-22 10:25 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.1 to 3.3(master)

- Subject changed from 3.2.1 Crash on Feature Selection and Vertex tool manipulation to Crash on vector edit (that has the 4326 CRS) is reprojected in 

CRS 3857

- Status changed from Feedback to Open

- Operating System deleted (Win10 x64)

I have replicated the issue on master on linux.
It happens when the vector being edited (the world borders shapefile from the thematic mapping web site) is reprojected in 3857 in a project that features

also an OSM baselayer.

If the project CRS is switched to 4326 then the crash does not happens.

Hopefully the issuer will attach the project and data.

Also seems a regression to me.

#8 - 2018-10-02 05:09 PM - Jacob Farneth

Hi Giovanni,

I have now had a chance to test with 2.18.  I do not believe I can replicate with 2.18.  Perhaps I've done something wrong, but I would guess maybe not a

regression.  Will keep regression as = No.

I'm uploading the world shape file, project file, error images and video.  I'll keep in my Dropbox for a little while since it's a rather large file.

https://www.dropbox.com/s/re31b24jiyikyee/QGIS_Upload.zip?dl=0

#9 - 2018-10-03 02:36 PM - Giovanni Manghi

- Regression? changed from No to Yes

Jacob Farneth wrote:

Hi Giovanni,

I have now had a chance to test with 2.18.  I do not believe I can replicate with 2.18.  Perhaps I've done something wrong, but I would guess maybe

not a regression.  Will keep regression as = No.

why? if it works ok on 2.18 IS a regression. I just tested on the latest master and this is still a problem.

#10 - 2018-10-03 07:22 PM - Jacob Farneth

Whoops.  Thanks Giovanni.  Got my regression definition switched up.

Thanks for all your help.

-Jacob

#11 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#12 - 2018-11-11 01:13 AM - Jacob Farneth
Hi Giovanni,

I have tested on a clean virtual machine and using the new 3.4.1.  The problem seems to persist.  Performing the same steps, I still receive an error.

-Jacob

#13 - 2018-11-11 02:25 PM - Jürgen Fischer

- Status changed from Feedback to Open

#14 - 2018-11-12 12:21 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.1

#15 - 2019-01-29 05:58 PM - Julien Cabieces

- Assignee set to Julien Cabieces

#16 - 2019-01-29 06:48 PM - Julien Cabieces

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to Closed

- Resolution set to up/downstream

The issue comes from libspatialindex.

I proposed a PR on libspatialindex repository for this specific issue : https://github.com/libspatialindex/libspatialindex/pull/126

Files

qgis_vertex_error.zip 1.46 MB 2018-08-12 Jacob Farneth
